Workflow (CMDB Model API)
Keywords: com.collation.platform.model.workflow.Workflow interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.workflow
Interface Workflow

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface Workflow

extends ModelObject

Workflow definition

Naming Rules:
  0="defId"
Persistable:
  true
Table Name:
  WORKFLOW
Display Name:
  name

Method Summary
`long` | `getDefId()`
`java.lang.String` | `getName()`
`Task[]` | `getTasks()`
`Transition[]` | `getTransitions()`
`boolean` | `hasDefId()`
`boolean` | `hasName()`
`boolean` | `hasTasks()`
`boolean` | `hasTransitions()`
`void` | `setDefId(long id)`
`void` | `setName(java.lang.String name)`
`void` | `setTasks(Task[] tasks)`
`void` | `setTransitions(Transition[] txns)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String name)

### hasName

    boolean hasName()

### getDefId

    long getDefId()
                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefId

    void setDefId(long id)

### hasDefId

    boolean hasDefId()

### getTasks

    Task[] getTasks()
                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTasks

    void setTasks(Task[] tasks)

### hasTasks

    boolean hasTasks()

### getTransitions

    Transition[] getTransitions()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTransitions

    void setTransitions(Transition[] txns)

### hasTransitions

    boolean hasTransitions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD